sysuse census, clear 

local abbrev ///
AL AK AZ AR CA CO CT DE FL GA ///
HI ID IL IN IA KS KY LA ME MD ///
MA MI MN MS MO MT NE NV NH NJ ///
NM NY NC ND OH OK OR PA RI SC ///
SD TN TX UT VT VA WA WV WI WY

gen abbrev = "" 

tokenize "`abbrev'" 

qui forval i = 1/50 { 
	replace abbrev = "``i''" in `i' 
}

stripplot medage, stack ms(Sh) msize(*3.5) width(0.5) ///
mla(abbrev) mlabpos(0) mlabsize(*.9) ysc(off) plotregion(lstyle(none)) 

more 

stripplot medage, stack ms(S) msize(*3.5) mcolor(black) width(0.5) ///
mla(abbrev) mlabpos(0) mlabsize(*.9) mlabcolor(white) ///
ysc(off) plotregion(lstyle(none)) 

more 

stripplot medage , stack ms(S) msize(*3.5) mcolor(gs14) width(0.5) ///
mla(abbrev) mlabpos(0) mlabsize(*.9) mlabcolor(black) /// 
ysc(off) plotregion(lstyle(none)) 
